<!DOCTYPE html>
<html lang="ru">
<head>
  <title>Галерея с использованием JQuery Slick </title>
  <meta charset="UTF-8">
  <link rel="stylesheet" type="text/css" href="./slick/slick.css">
  <link rel="stylesheet" type="text/css" href="./slick/slick-theme.css">
  <style>
    html, body {
      margin: 0;
      padding: 0;
    }

  
    .slider {
        width: 80%;
        margin: 100px auto;
    }

    .slick-slide {
      margin: 0px 20px;
    }

    .slick-slide img {
      width: 100%;
	  border: 2px solid #ff0000;
    }

    .slick-prev:before,
    .slick-next:before {
      color: black;
    }
  .slick-slide {
      transition: all ease-in-out .3s;
      opacity: .2;
    }
    
    .slick-active {
      opacity: .5;
    }

    .slick-current {
      opacity: 1;
    }

  </style> 
</head>
<body>

  <div class="r slider">
	<div><img src='1.jpg' alt="Картинка">  </div>
	<div><img src='2.jpg' alt="Картинка">  </div>
	<div><img src='3.jpg' alt="Картинка">  </div>
	<div><img src='4.jpg' alt="Картинка">  </div>
	<div><img src='5.jpg' alt="Картинка">  </div>
	<div><img src='6.jpg' alt="Картинка">  </div>
	<div><img src='7.jpg' alt="Картинка">  </div>
	<div><img src='8.jpg' alt="Картинка">  </div>
	<div><img src='9.jpg' alt="Картинка">  </div>
	<div><img src='10.jpg' alt="Картинка"> </div>
	<div><img src='11.jpg' alt="Картинка"> </div>
	<div><img src='12.jpg' alt="Картинка"> </div>
	<div><img src='13.jpg' alt="Картинка"> </div>
	<div><img src='14.jpg' alt="Картинка"> </div>
	<div><img src='15.jpg' alt="Картинка"> </div>
	<div><img src='16.jpg' alt="Картинка"> </div>
  </div>

 

  <script src="https://code.jquery.com/jquery-2.2.0.min.js" ></script>
  <script src="./slick/slick.js" ></script>
  <script>
    $(document).on('ready', function() {
    
      $(".r").slick({
	    dots: true,
	    slidesToShow: 4,
        infinite: true,
		
       responsive: [{

      breakpoint: 1024,
      settings: {
        slidesToShow: 4,
        infinite: true
      }
    }, 
	{
      breakpoint: 800,
      settings: {
        slidesToShow: 2,
        dots: true
      }
    }]

	
      });
     
    });
</script>

</body>
</html>
